Package Details: python2-pyside2 5.12.1-1

Git Clone URL: https://aur.archlinux.org/python2-pyside2.git (read-only)
Package Base: python2-pyside2
Description: Enables the use of Qt5 APIs in Python applications
Upstream URL: http://qt-project.org/
Licenses: LGPL
Groups: qt, qt5
Submitter: gbs
Maintainer: gbs
Last Packager: gbs
Votes: 32
Popularity: 1.591262
First Submitted: 2018-06-28 18:32
Last Updated: 2019-02-06 21:51

Dependencies (29)

Required by (1)

Sources (1)

Latest Comments

1 2 3 Next › Last »

jefbed commented on 2019-01-25 07:10

I had to add "tar xf pyside-setup-everywhere-src-5.12.0.tar" to build() in order to get this to build.

petronny commented on 2019-01-10 07:36

Hi, could you removed groups=(qt qt5) from the PKGBUILD? It's not It's not necessary for AUR. And if a third-party repository provides the binary version of this package, it will alter the behavior of installing the official group which may causes somethings, such as tutorials for beginners, fail.

Rhinoceros commented on 2018-12-18 04:16

Thanks for the hint, @ChrisV! That worked for me.

@gbs: I suppose this package should depend on python2-shiboken2>=5.12.0-1 then? You shouldn't need to bump pkgrel; those of us who managed to get it installed don't need to re-install (and it takes ages to build too).

ChrisV commented on 2018-12-17 22:12

imrehg: I had the same error. Updating python2-shiboken2 first solved the problem ... At least compilation started !!

imrehg commented on 2018-11-11 12:12

trying to build 5.11.2-1, but get an error:

CMake Error at CMakeLists.txt:490 (message):
  Could not detect Python module installation directory.
-- Configuring incomplete, errors occurred!

Looking into the file, it seems it couldn't find the python executable to run the test properly.

gbs commented on 2018-10-03 17:45

ritchy: I just rebuilt it and cannot reproduce your error. Can you give more information?

ritchy commented on 2018-10-03 09:39

Hi,

Build fail !

segmentation error

==> Lancement de build()… -- The C compiler identification is GNU 8.2.1 -- The CXX compiler identification is GNU 8.2.1 -- Check for working C compiler: /usr/bin/cc -- Check for working C compiler: /usr/bin/cc -- works -- Detecting C compiler ABI info -- Detecting C compiler ABI info - done -- Detecting C compile features -- Detecting C compile features - done -- Check for working CXX compiler: /usr/bin/c++ -- Check for working CXX compiler: /usr/bin/c++ -- works -- Detecting CXX compiler ABI info -- Detecting CXX compiler ABI info - done -- Detecting CXX compile features -- Detecting CXX compile features - done -- Found PythonInterp: /usr/bin/python2 (found suitable version "2.7.15", minimum required is "2") -- Found PythonLibs: /usr/lib/libpython2.7.so (found suitable version "2.7.15", minimum required is "2") PYTHON_EXTENSION_SUFFIX: -- PYTHON_EXTENSION_SUFFIX:
-- PYTHON_CONFIG_SUFFIX: -python2.7 -- PYTHON_SHARED_LIBRARY_SUFFIX: -python2.7 /tmp/yaourt-tmp-user/aur-python2-pyside2/./PKGBUILD : ligne 34 : 2026 Erreur de segmentation (core dumped)cmake ../${_pkgfqn}/sources/pyside2 -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_TESTS=OFF -DUSE_PYTHON_VERSION=2

kalsan commented on 2018-08-22 08:27

And python2-shiboken2 must be up to date as well, otherwise the build fails.

gbs commented on 2018-08-17 11:03

Kunda: you also need the packages shiboken2 and pyside2 to be at version 5.11.1.

Kunda commented on 2018-08-17 10:37

Unable to installpython2-pyside2 5.11.1-1 Running on Manjaro 17.1.11

Building python2-pyside2...
Cloning into 'python2-pyside2'...
remote: Enumerating objects: 9, done.        
remote: Counting objects: 100% (9/9), done.        
remote: Compressing objects: 100% (8/8), done.        
remote: Total 9 (delta 2), reused 2 (delta 0)        
Unpacking objects: 100% (9/9), done.
==> Making package: python2-pyside2 5.11.1-1 (Fri 17 Aug 2018 06:28:54 AM EDT)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading pyside-setup-everywhere-src-5.11.1.tar.xz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   312  100   312    0     0    643      0 --:--:-- --:--:-- --:--:--   643
100 5170k  100 5170k    0     0   721k      0  0:00:07  0:00:07 --:--:--  939k
==> Validating source files with sha256sums...
    pyside-setup-everywhere-src-5.11.1.tar.xz ... Passed
==> Extracting sources...
  -> Extracting pyside-setup-everywhere-src-5.11.1.tar.xz with bsdtar
==> Starting build()...
-- The C compiler identification is GNU 8.1.1
-- The CXX compiler identification is GNU 8.1.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found PythonInterp: /usr/bin/python2 (found suitable version "2.7.15", minimum required is "2") 
-- Found PythonLibs: /usr/lib/libpython2.7.so (found suitable version "2.7.15", minimum required is "2") 
PYTHON_EXTENSION_SUFFIX: 
-- PYTHON_EXTENSION_SUFFIX:      
-- PYTHON_CONFIG_SUFFIX:         -python2.7
-- PYTHON_SHARED_LIBRARY_SUFFIX: -python2.7
CMake Error at /usr/lib64/cmake/Shiboken2-5.11.0/Shiboken2Config.cmake:5 (include):
  include could not find load file:

    /usr/lib/cmake/Shiboken2-5.11.0/Shiboken2Config-python2.7.cmake
Call Stack (most recent call first):
  CMakeLists.txt:149 (find_package)


result:/usr/include/GL/gl.h
-- *** Qt5Core_INCLUDE_DIRS = /usr/include/qt/;/usr/include/qt/QtCore;/usr/lib/qt//mkspecs/linux-g++
-- *** computed QT_INCLUDE_DIR as /usr/include/qt/
-- Found Git: /usr/bin/git (found version "2.18.0") 
fatal: No names found, cannot describe anything.
-- CORE_ABS_DIR:/usr/lib64/cmake
-- essential module Qt5Core found (). Looked in: /usr/lib64/cmake/Qt5Core
-- essential module Qt5Gui found (). Looked in: /usr/lib64/cmake/Qt5Gui
-- essential module Qt5Widgets found (). Looked in: /usr/lib64/cmake/Qt5Widgets
-- essential module Qt5PrintSupport found (). Looked in: /usr/lib64/cmake/Qt5PrintSupport
-- essential module Qt5Sql found (). Looked in: /usr/lib64/cmake/Qt5Sql
-- essential module Qt5Network found (). Looked in: /usr/lib64/cmake/Qt5Network
-- essential module Qt5Test found (). Looked in: /usr/lib64/cmake/Qt5Test
-- essential module Qt5Concurrent found (). Looked in: /usr/lib64/cmake/Qt5Concurrent
-- essential module Qt5X11Extras found (). Looked in: /usr/lib64/cmake/Qt5X11Extras
-- optional module Qt5Xml found (). Looked in: /usr/lib64/cmake/Qt5Xml
-- optional module Qt5XmlPatterns found (). Looked in: /usr/lib64/cmake/Qt5XmlPatterns
-- optional module Qt5Help found (). Looked in: /usr/lib64/cmake/Qt5Help
-- optional module Qt5Multimedia found (). Looked in: /usr/lib64/cmake/Qt5Multimedia
-- optional module Qt5MultimediaWidgets found (). Looked in: /usr/lib64/cmake/Qt5MultimediaWidgets
-- optional module Qt5OpenGL found (). Looked in: /usr/lib64/cmake/Qt5OpenGL
-- optional module Qt5Positioning found (). Looked in: /usr/lib64/cmake/Qt5Positioning
-- optional module Qt5Location found (). Looked in: /usr/lib64/cmake/Qt5Location
-- optional module Qt5Qml found (). Looked in: /usr/lib64/cmake/Qt5Qml
-- optional module Qt5Quick found (). Looked in: /usr/lib64/cmake/Qt5Quick
-- optional module Qt5QuickWidgets found (). Looked in: /usr/lib64/cmake/Qt5QuickWidgets
-- optional module Qt5Scxml found (). Looked in: /usr/lib64/cmake/Qt5Scxml
-- optional module Qt5Script found (). Looked in: /usr/lib64/cmake/Qt5Script
-- optional module Qt5ScriptTools found (). Looked in: /usr/lib64/cmake/Qt5ScriptTools
-- optional module Qt5Sensors found (). Looked in: /usr/lib64/cmake/Qt5Sensors
-- optional module Qt5TextToSpeech found (). Looked in: /usr/lib64/cmake/Qt5TextToSpeech
-- optional module Qt5Charts found (). Looked in: /usr/lib64/cmake/Qt5Charts
-- optional module Qt5Svg found (). Looked in: /usr/lib64/cmake/Qt5Svg
-- optional module Qt5DataVisualization found (). Looked in: /usr/lib64/cmake/Qt5DataVisualization
-- optional module Qt5UiTools found (). Looked in: /usr/lib64/cmake/Qt5UiTools
-- optional module Qt5WebChannel found (). Looked in: /usr/lib64/cmake/Qt5WebChannel
-- optional module Qt5WebEngineCore found (). Looked in: /usr/lib64/cmake/Qt5WebEngineCore
-- optional module Qt5WebEngine found (). Looked in: /usr/lib64/cmake/Qt5WebEngine
-- optional module Qt5WebEngineWidgets found (). Looked in: /usr/lib64/cmake/Qt5WebEngineWidgets
-- optional module Qt5WebSockets found (). Looked in: /usr/lib64/cmake/Qt5WebSockets
-- optional module Qt53DCore found (). Looked in: /usr/lib64/cmake/Qt53DCore
-- optional module Qt53DRender found (). Looked in: /usr/lib64/cmake/Qt53DRender
-- optional module Qt53DInput found (). Looked in: /usr/lib64/cmake/Qt53DInput
-- optional module Qt53DLogic found (). Looked in: /usr/lib64/cmake/Qt53DLogic
-- optional module Qt53DAnimation found (). Looked in: /usr/lib64/cmake/Qt53DAnimation
-- optional module Qt53DExtras found (). Looked in: /usr/lib64/cmake/Qt53DExtras
-- Detected OS: x11
CMake Error at CMakeLists.txt:490 (message):
  Could not detect Python module installation directory.


-- Configuring incomplete, errors occurred!
See also "/tmp/pamac-build-beast/python2-pyside2/src/build/CMakeFiles/CMakeOutput.log".
==> ERROR: A failure occurred in build().
    Aborting...